Bug 1440171 - [NMCI] wireless device unmanaged after clean install
Summary: [NMCI] wireless device unmanaged after clean install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-07 13:08 UTC by Vladimir Benes
Modified: 2017-08-01 09:27 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.8.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:27:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Vladimir Benes 2017-04-07 13:08:25 UTC
Description of problem:
Wifi device is set unmanaged because there is no wifi plugin installed. After installing wifi plugin it is still in unmanaged state and service restart doesn't help either. You need to manually set it as managed via nmcli  device set wlp4s0 managed yes

Version-Release number of selected component (if applicable):
NetworkManager-1.8.0-0.4.rc1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. install server variant where wireless package is not installed by default
2. install wifi plugin

Actual results:
wifi unmanaged

Expected results:
wifi managed

Additional info:
log:
https://transfer.sh/ulg2U/journalctl.txt

Comment 4 Thomas Haller 2017-05-11 18:10:25 UTC
Actually, the fix has a problem.

Need this upstream commit:

https://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=33d3ec3b3e5d2e737afc8db6c64850e67db5c12d


Back to MODIFIED.

Comment 5 Vladimir Benes 2017-05-18 12:05:34 UTC
This works well now. Install server, install -wifi package, restart NM service, wireless device goes to disconnected.

Comment 6 errata-xmlrpc 2017-08-01 09:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.